import { nodeResolve } from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";
import terser from "@rollup/plugin-terser";

export default {
  input: "_build/default/jslib/main/jslib/main.js",
  output: [
    {
      file: "_build/hcfg.min.js",
      format: "cjs",
      compact: true,
      plugins: [terser()],
    },
    {
      file: "_build/hcfg.min.mjs",
      format: "es",
      compact: true,
      plugins: [terser()],
    },
  ],
  plugins: [nodeResolve(), commonjs()],
};
